Subject: Re: bug#4197: 23.1; error when try to run `server-start': directory .emacs.d/server is unsafe

From: Lennart Borgman <[email-masked]>
Date: Sat, 22 Aug 2009 19:10:06 +0200

On Sat, Aug 22, 2009 at 6:59 PM, Jason Rumney<[email-masked]> wrote:
> Eli Zaretskii wrote:
>>
>> Sorry, I don't quite understand your suggestion.  NT file security
>> cannot be used on FAT32 volumes, even if the OS is of the NT family
>> (Windows 2000, XP, etc.).  So, if you meant to use the NT file
>> security as the back-end of the abstraction you propose, that back-end
>> will be inoperable on FAT32 volumes, even for Windows XP.
>>
>
> No, I mean instead of using the file system, which is only secure if it is
> NTFS, use Access Tokens, or switch to using Named Pipes instead of a TCP
> socket, so that a Security Descriptor can be attached to it.

Didn't someone write an implementation of emacsclient on w32 using
Named Pipes? Would not that also be preferrable to avoid problems with
firewalls on the local computer?

But what about connecting to servers on other hosts? Or is that
perhaps not something that can be done? Or can that possibility be
kept open by also allowing for using TCP on w32?